代码改变世界

RHEL 8 安装 Oracle 19c 注意问题

2019-06-06 11:50  askscuti  阅读(3379)  评论(0编辑  收藏

RedHat Enterprise Linux 8 版本静默安装 Oracle 数据库软件时,需注意的问题 来自博客园AskScuti

1. 提示缺少库文件 libnsl.so.1

2. 因着OS版本导致的 [WARNING] [INS-08101] Unexpected error while executing the action at state: 'supportedOSCheck'

点我查看搭建文档 密码:thrthr

目录

1. 提示缺少库文件

  1.1 问题

  1.2 原因

  1.3 解决

2. 设置版本兼容性

  2.1 问题

  2.2 原因

  2.3 解决

 

1. 提示缺少库文件

1.1 问题

静默安装数据库软件时,提示缺少库文件

[oracle@henry dbhome_1]$ ./runInstaller -silent -force -noconfig -responseFile /u01/app/oracle/product/19.0.0/dbhome_1/install/response/db_install.rsp \
> oracle.install.option=INSTALL_DB_SWONLY \
> ORACLE_HOSTNAME=henry \
> UNIX_GROUP_NAME=oinstall \
> INVENTORY_LOCATION=/u01/app/oraInventory \
> SELECTED_LANGUAGES=en,en_GB \
> ORACLE_HOME=/u01/app/oracle/product/19.0.0/dbhome_1 \
> ORACLE_BASE=/u01/app/oracle \
> oracle.install.db.InstallEdition=EE \
> oracle.install.db.OSDBA_GROUP=dba \
> oracle.install.db.OSOPER_GROUP=oper \
> oracle.install.db.OSBACKUPDBA_GROUP=dba \
> oracle.install.db.OSDGDBA_GROUP=dba \
> oracle.install.db.OSKMDBA_GROUP=dba \
> oracle.install.db.OSRACDBA_GROUP=dba \
> SECURITY_UPDATES_VIA_MYORACLESUPPORT=false \
> DECLINE_SECURITY_UPDATES=true
/u01/app/oracle/product/19.0.0/dbhome_1/perl/bin/perl: error while loading shared libraries: libnsl.so.1: cannot open shared object file: No such file or directory

1.2 原因

缺少库文件

[oracle@henry dbhome_1]$ ldd /u01/app/oracle/product/19.0.0/dbhome_1/perl/bin/perl
    linux-vdso.so.1 (0x00007ffd40bc9000)
    libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f4d0f258000)
    libnsl.so.1 => not found
    libdl.so.2 => /lib64/libdl.so.2 (0x00007f4d0f054000)
    libm.so.6 => /lib64/libm.so.6 (0x00007f4d0ecd2000)
    libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00007f4d0eaa9000)
    libutil.so.1 => /lib64/libutil.so.1 (0x00007f4d0e8a5000)
    libc.so.6 => /lib64/libc.so.6 (0x00007f4d0e4e1000)
    libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f4d0e2c9000)
    /lib64/ld-linux-x86-64.so.2 (0x00007f4d0f478000)

1.3 解决

安装库包

[root@henry ~]# dnf install libnsl

扩展:DNF 即将取代 YUM,相关内容请自行查询。

 

2. 设置版本兼容性

2.1 问题

[oracle@henry dbhome_1]$ ./runInstaller -ignorePrereq -waitforcompletion -silent \
> -responseFile /u01/app/oracle/product/19.0.0/dbhome_1/install/response/db_install.rsp \
> oracle.install.option=INSTALL_DB_SWONLY \
> ORACLE_HOSTNAME=henry \
> UNIX_GROUP_NAME=oinstall \
> INVENTORY_LOCATION=/u01/app/oraInventory \
> SELECTED_LANGUAGES=en,en_GB \
> ORACLE_HOME=/u01/app/oracle/product/19.0.0/dbhome_1 \
> ORACLE_BASE=/u01/app/oracle \
> oracle.install.db.InstallEdition=EE \
> oracle.install.db.OSDBA_GROUP=dba \
> oracle.install.db.OSOPER_GROUP=oper \
> oracle.install.db.OSBACKUPDBA_GROUP=dba \
> oracle.install.db.OSDGDBA_GROUP=dba \
> oracle.install.db.OSKMDBA_GROUP=dba \
> oracle.install.db.OSRACDBA_GROUP=dba \
> SECURITY_UPDATES_VIA_MYORACLESUPPORT=false \
> DECLINE_SECURITY_UPDATES=true
Launching Oracle Database Setup Wizard...

[WARNING] [INS-08101] Unexpected error while executing the action at state: 'supportedOSCheck'
   CAUSE: No additional information available.
   ACTION: Contact Oracle Support Services or refer to the software manual.
   SUMMARY:
       - java.lang.NullPointerException
Moved the install session logs to:
 /u01/app/oraInventory/logs/InstallActions2019-06-06_11-50-18AM

2.2 原因

OS 操作系统不兼容问题

2.3 解决

不管是图形化界面还是静默安装,执行前设置 CV_ASSUME_DISTID,之后再次运行执行程序或脚本。

[oracle@henry dbhome_1]$ export CV_ASSUME_DISTID=RHEL7.6